/*
 * Copyright 2006-2007 Queplix Corp.
 *
 * Licensed under the Queplix Public License, Version 1.1.1 (the "License");
 * you may not use this file except in compliance with the License.
 * You may obtain a copy of the License at
 *
 * http://www.queplix.com/solutions/commercial-open-source/queplix-public-license/
 *
 * Unless required by applicable law or agreed to in writing, software
 * distributed under the License is distributed on an "AS IS" BASIS, WITHOUT
 * WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied. See the
 * License for the specific language governing permissions and limitations under
 * the License.
 *
 */

package com.queplix.core.modules.jeo.gen;

import com.queplix.core.modules.jeo.JEObject;

import java.util.Date;

/**
 * Chart JEO interface.
 *
 * @author Michael Trofimov
 */
public interface ChartObject extends JEObject {

    Long getChart_id();

    String getName();
    
    void setName(String name);

    Long getOwner_id();

    void setOwner_id(Long ownerId);

    Integer getPublic_chart();

    void setPublic_chart(Integer publicChart);

    Integer getSystem_chart();

    void setSystem_chart(Integer systemChart);

    Integer getChart_position();
    
    void setChart_position(Integer position);
    
    Date getTimestamp();

    char[] getBody();

    void setBody(char[] body);
}
